//Takes %name and makes it into something that a brick can actually be named. I.e. replaces spaces with _, removes whitespace, etc.
function filterBrickName(%name)
{
	if(trim(%name) $= "")
		return "";

	%brick = new fxDTSBrick()
	{
		client = 0;
		dataBlock = brick1x1Data;
		position = "0 0 -10000";
		scale = "1 1 1";
		stackBL_ID = -1;
	};

	%brick.setNTObjectName(%name);
	%name = %brick.getName();
	%brick.delete();

	if(strLen(%name) < 2)
		return "";

	return getSubStr(%name, 1, strLen(%name) - 1);
}